Package com.google.debugging.sourcemap

# Class SourceMapConsumerFactory

java.lang.Object
com.google.debugging.sourcemap.SourceMapConsumerFactory

public class SourceMapConsumerFactory extends Object
Detect and parse the provided source map.

## Method Summary

Modifier and Type
Method
Description
`static SourceMapping`
`parse(String contents)`
`static SourceMapping`
`parse(String contents, SourceMapSupplier supplier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### parse

public static SourceMapping parse(String contents) throws SourceMapParseException

Parameters:
  `contents` - The string representing the source map file contents.
Returns:
  The parsed source map.
Throws:
  `SourceMapParseException`

### parse

public static SourceMapping parse(String contents, SourceMapSupplier supplier) throws SourceMapParseException

Parameters:
  `contents` - The string representing the source map file contents.
  `supplier` - A supplier for any referenced maps.
Returns:
  The parsed source map.
Throws:
  `SourceMapParseException`